A B C D E F G H I J K L M N O P Q R S T U V W
All Classes All Packages
All Classes All Packages
All Classes All Packages
A
- ACCEPT_ME - Static variable in class org.alfresco.rest.model.RestErrorModel
- ACCESS_INFORMATION_NOT_ALLOWED - Static variable in class org.alfresco.rest.model.RestErrorModel
- Actions - Class in org.alfresco.rest.requests
- Actions(RestWrapper) - Constructor for class org.alfresco.rest.requests.Actions
- activateModel() - Method in class org.alfresco.rest.requests.CustomModelManager
- addComment(String) - Method in class org.alfresco.rest.requests.Node
-
Publish one new comment on a specific node using POST call on "nodes/{nodeId}/comments"
- addComments(String...) - Method in class org.alfresco.rest.requests.Node
-
Publish multiple comments on a specific node using POST call on "nodes/{nodeId}/comments"
- addFavoriteSite(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Add a favorite site for a specific person using POST call on "people/{personId}/favorite-sites"
- addFileToFavorites(FileModel) - Method in class org.alfresco.rest.requests.People
-
Add a folder to favorites for a specific user using POST call on "people/{personId}/favorites"
- addFolderToFavorites(FolderModel) - Method in class org.alfresco.rest.requests.People
-
Add a folder to favorites for a specific user using POST call on "people/{personId}/favorites"
- addInvalidRating(String) - Method in class org.alfresco.rest.requests.Node
-
POST call on "nodes/{nodeId}/ratings" using an invalid rating body
- addPerson(UserModel) - Method in class org.alfresco.rest.requests.Site
-
Add new site member using POST call on "/sites/{siteId}/members"
- addProcess(String, UserModel, boolean, CMISUtil.Priority) - Method in class org.alfresco.rest.requests.Processes
-
Starts new process using POST /processes
- addProcess(String, UserModel, boolean, CMISUtil.Priority) - Method in class org.alfresco.rest.requests.workflowAPI.RestWorkflowAPI
-
Provides DSL on all REST calls under
/processes/{processId}/...API path - addProcessItem(FileModel) - Method in class org.alfresco.rest.requests.Processes
-
Add process item using POST /processes/{processId}/items
- addProcessItems(FileModel...) - Method in class org.alfresco.rest.requests.Processes
-
Add process items using POST /processes/{processId}/items
- addProcessVariable(RestProcessVariableModel) - Method in class org.alfresco.rest.requests.Processes
-
Add process variable using POST /processes/{processId}/variables
- addProcessVariables(RestProcessVariableModel...) - Method in class org.alfresco.rest.requests.Processes
-
Add process variables using POST /processes/{processId}/variables
- addProcessWithBody(String) - Method in class org.alfresco.rest.requests.Processes
-
Starts new process with given input body using POST /processes
- addProcessWithBody(JsonObject) - Method in class org.alfresco.rest.requests.workflowAPI.RestWorkflowAPI
-
Provides DSL on all REST calls under
/processes/{processId}/...API path - addProperty(CustomAspectPropertiesModel) - Method in class org.alfresco.rest.requests.CustomAspectModelManager
- addSiteMembershipRequest(String) - Method in class org.alfresco.rest.requests.People
-
Add new site membership request using POST call on "people/{personId}/site-membership-requests"
- addSiteMembershipRequest(String, SiteModel, String) - Method in class org.alfresco.rest.requests.People
-
Add new site membership request using POST call on "people/{personId}/site-membership-requests"
- addSiteMembershipRequest(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Add new site membership request using POST call on "people/{personId}/site-membership-requests"
- addSiteToFavorites(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Add a site to favorites for a specific user using POST call on "people/{personId}/favorites"
- addSortClause(String, String, boolean) - Method in class org.alfresco.rest.search.SearchRequest
-
Adds a new sort clause to this request.
- addTag(String) - Method in class org.alfresco.rest.requests.Node
-
Adds a tag to the given content node
- addTags(String...) - Method in class org.alfresco.rest.requests.Node
-
Adds multiple tags to the given content node
- addTaskItem(FileModel) - Method in class org.alfresco.rest.requests.Task
-
Add task item using POST /tasks/{taskId}/items
- addTaskItems(FileModel...) - Method in class org.alfresco.rest.requests.Task
-
Add task items using POST /tasks/{taskId}/items
- addTaskVariable(RestVariableModel) - Method in class org.alfresco.rest.requests.Task
-
Add task variable using POST /tasks/{taskId}/variables call
- addTaskVariables(RestVariableModel...) - Method in class org.alfresco.rest.requests.Task
-
Add task variables using POST /tasks/{taskId}/variables call
- adminCanAddAndUpdateSiteMemberDetails() - Method in class org.alfresco.rest.demo.RestDemoTests
-
Data preparation – create site and a new user
As admin, add user as Consumer to site as a new site member using POST call
Update site member role to Manager using PUT call
Delete site member using DELETE call - adminCanPostAndUpdateComments() - Method in class org.alfresco.rest.demo.RestDemoTests
-
Data preparation – create site and document on server
POST one comment to file using admin user
Perform GET comments, check the new one is listed
Update existing comment using PUT call, check that comment content is updated - AdminConsole - Class in org.alfresco.rest.requests
- AdminConsole(RestWrapper) - Constructor for class org.alfresco.rest.requests.AdminConsole
- adminRetrievesCorrectSiteDetails() - Method in class org.alfresco.rest.demo.RestDemoTests
-
Data preparation – create site with custom details
Perform GET sites call using admin user
Check that created site is included in response
Perform GET site call, validate that site title, description and visibility are correct - adminShouldAccessResponsePagination() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldAccessSiteDetails() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldAccessSites() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldAddNewSiteMember() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldGetSiteDetails() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldGetSiteFromSitesList() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldGetSites() - Method in class org.alfresco.rest.demo.SampleSitesTests
- adminShouldRetrievePerson() - Method in class org.alfresco.rest.demo.SamplePeopleTests
- adminShouldUpdateComment() - Method in class org.alfresco.rest.demo.SampleCommentsTests
- adminTenantUser - Static variable in class org.alfresco.rest.NetworkDataPrep
- adminUserModel - Static variable in class org.alfresco.rest.NetworkDataPrep
- admiShouldAddComment() - Method in class org.alfresco.rest.demo.SampleCommentsTests
- admiShouldRetrieveComments() - Method in class org.alfresco.rest.demo.SampleCommentsTests
- ALREADY_INVITED - Static variable in class org.alfresco.rest.model.RestErrorModel
- ALREADY_Site_MEMBER - Static variable in class org.alfresco.rest.model.RestErrorModel
- and() - Method in interface org.alfresco.rest.core.assertion.IModelAssertion
- and() - Method in interface org.alfresco.rest.core.assertion.IModelsCollectionAssertion
- and() - Method in class org.alfresco.rest.core.RestModels
- and() - Method in class org.alfresco.rest.model.body.RestNodeLockBodyModel
- and() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- and() - Method in class org.alfresco.rest.model.RestActivityModel
- and() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- and() - Method in class org.alfresco.rest.model.RestAggregateModel
- and() - Method in class org.alfresco.rest.model.RestAuditAppModel
- and() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- and() - Method in class org.alfresco.rest.model.RestCandidateModel
- and() - Method in class org.alfresco.rest.model.RestCommentModel
- and() - Method in class org.alfresco.rest.model.RestCompanyModel
- and() - Method in class org.alfresco.rest.model.RestCustomAspectModel
- and() - Method in class org.alfresco.rest.model.RestCustomModel
- and() - Method in class org.alfresco.rest.model.RestDeploymentModel
- and() - Method in class org.alfresco.rest.model.RestDiscoveryModel
- and() - Method in class org.alfresco.rest.model.RestDownloadsModel
- and() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- and() - Method in class org.alfresco.rest.model.RestFavoriteSiteModel
- and() - Method in class org.alfresco.rest.model.RestFileModel
- and() - Method in class org.alfresco.rest.model.RestFolderModel
- and() - Method in class org.alfresco.rest.model.RestFormModel
-
DSL for assertion on this rest model
- and() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- and() - Method in class org.alfresco.rest.model.RestGroupMember
- and() - Method in class org.alfresco.rest.model.RestGroupsModel
- and() - Method in class org.alfresco.rest.model.RestHtmlResponse
- and() - Method in class org.alfresco.rest.model.RestItemModel
- and() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- and() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- and() - Method in class org.alfresco.rest.model.RestNetworkModel
-
DSL for assertion on this rest model
- and() - Method in class org.alfresco.rest.model.RestNetworkQuotaModel
- and() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- and() - Method in class org.alfresco.rest.model.RestNodeAssociationTypeModel
- and() - Method in class org.alfresco.rest.model.RestNodeAssocTargetModel
- and() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- and() - Method in class org.alfresco.rest.model.RestNodeChildAssociationModel
- and() - Method in class org.alfresco.rest.model.RestNodeModel
- and() - Method in class org.alfresco.rest.model.RestPaginationModel
- and() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- and() - Method in class org.alfresco.rest.model.RestPersonFavoritesModel
- and() - Method in class org.alfresco.rest.model.RestPersonModel
- and() - Method in class org.alfresco.rest.model.RestPreferenceModel
- and() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- and() - Method in class org.alfresco.rest.model.RestProcessModel
- and() - Method in class org.alfresco.rest.model.RestProcessVariableModel
- and() - Method in class org.alfresco.rest.model.RestRatingModel
- and() - Method in class org.alfresco.rest.model.RestRenditionInfoModel
- and() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- and() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- and() - Method in class org.alfresco.rest.model.RestRequestSpellcheckModel
- and() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- and() - Method in class org.alfresco.rest.model.RestSiteContainerModel
- and() - Method in class org.alfresco.rest.model.RestSiteEntry
- and() - Method in class org.alfresco.rest.model.RestSiteMemberModel
- and() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- and() - Method in class org.alfresco.rest.model.RestSiteModel
- and() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- and() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- and() - Method in class org.alfresco.rest.model.RestSubscriberModel
- and() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- and() - Method in class org.alfresco.rest.model.RestTagModel
-
DSL for assertion on this rest model
- and() - Method in class org.alfresco.rest.model.RestTargetModel
- and() - Method in class org.alfresco.rest.model.RestTaskModel
- and() - Method in class org.alfresco.rest.model.RestTicketBodyModel
- and() - Method in class org.alfresco.rest.model.RestTicketModel
- and() - Method in class org.alfresco.rest.model.RestVariableModel
- and() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- and() - Method in class org.alfresco.rest.model.RestVersionModel
- and() - Method in class org.alfresco.rest.search.FacetFieldBucket
- and() - Method in class org.alfresco.rest.search.FacetInterval
- and() - Method in class org.alfresco.rest.search.ResponseHighLightModel
- and() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- and() - Method in class org.alfresco.rest.search.RestGenericFacetResponseModel
- and() - Method in class org.alfresco.rest.search.RestGenericMetricModel
- and() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- and() - Method in class org.alfresco.rest.search.RestRequestFacetFieldsModel
- and() - Method in class org.alfresco.rest.search.RestRequestFacetIntervalsModel
- and() - Method in class org.alfresco.rest.search.RestRequestFacetSetModel
- and() - Method in class org.alfresco.rest.search.RestRequestFieldsModel
- and() - Method in class org.alfresco.rest.search.RestRequestFilterQueryModel
- and() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- and() - Method in class org.alfresco.rest.search.RestRequestPivotModel
- and() - Method in class org.alfresco.rest.search.RestRequestQueryModel
- and() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- and() - Method in class org.alfresco.rest.search.RestResponseConsistencyModel
- and() - Method in class org.alfresco.rest.search.RestResultBucketsModel
- and() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- and() - Method in class org.alfresco.rest.search.RestShardInfoModel
- and() - Method in class org.alfresco.rest.search.SearchNodeModel
- and() - Method in class org.alfresco.rest.search.SearchScoreModel
- and() - Method in class org.alfresco.rest.search.SpellCheckModel
- API_DEFAULT_ERRORKEY - Static variable in class org.alfresco.rest.model.RestErrorModel
- approveSiteMembership(UserModel) - Method in class org.alfresco.rest.requests.Site
-
Approve a site membership request by using POST call on /sites/{siteId}/site-membership-requests/{inviteeId}/approve
- assertHasProperties(CustomAspectPropertiesModel...) - Method in class org.alfresco.rest.model.RestCustomAspectModel
- assertHeaderValueContains(String, String) - Method in class org.alfresco.rest.core.RestWrapper
-
Verify response header contains a specific value Example: assertHeaderValueContains("Content-Disposition", "filename=\"myfile.txt\"");
- AssertionItemVerbs(Object, Object) - Constructor for class org.alfresco.rest.core.assertion.ModelAssertion.AssertionItemVerbs
- AssertionVerbs(Object, Object, String) - Constructor for class org.alfresco.rest.core.assertion.ModelAssertion.AssertionVerbs
- assertLastError() - Method in class org.alfresco.rest.core.RestWrapper
- assertLastExceptionContains(String) - Method in class org.alfresco.rest.core.RestWrapper
- assertLastStatus() - Method in class org.alfresco.rest.core.RestWrapper
- assertMembershipRequestMessageIs(String) - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- assertNetworkHasName(UserModel) - Method in class org.alfresco.rest.model.RestNetworkModel
- assertNetworkIsEnabled() - Method in class org.alfresco.rest.model.RestNetworkModel
- assertNetworkIsNotEnabled() - Method in class org.alfresco.rest.model.RestNetworkModel
- assertNodeHasFiveStarRating() - Method in class org.alfresco.rest.model.RestRatingModelsCollection
- assertNodeHasNoFiveStarRating() - Method in class org.alfresco.rest.model.RestRatingModelsCollection
- assertNodeIsLiked() - Method in class org.alfresco.rest.model.RestRatingModelsCollection
- assertNodeIsNotLiked() - Method in class org.alfresco.rest.model.RestRatingModelsCollection
- assertPathInHtmlBodyEquals(String, String) - Method in class org.alfresco.rest.model.RestHtmlResponse
-
Assetion that a html element with specific html path has the specified value
- assertResponseContainsImage() - Method in class org.alfresco.rest.model.RestHtmlResponse
- assertResponseIsNotEmpty() - Method in class org.alfresco.rest.model.RestTagModel
- assertSiteMemberHasRole(UserRole) - Method in class org.alfresco.rest.model.RestSiteMemberModel
- assertStatusCodeIs(HttpStatus) - Method in class org.alfresco.rest.core.RestWrapper
-
Assert that a specific status code is returned
- assertThat() - Method in interface org.alfresco.rest.core.assertion.IModelAssertion
- assertThat() - Method in interface org.alfresco.rest.core.assertion.IModelsCollectionAssertion
- assertThat() - Method in class org.alfresco.rest.core.RestModels
- assertThat() - Method in class org.alfresco.rest.core.RestResponse
- assertThat() - Method in class org.alfresco.rest.model.body.RestNodeLockBodyModel
- assertThat() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- assertThat() - Method in class org.alfresco.rest.model.RestActivityModel
- assertThat() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- assertThat() - Method in class org.alfresco.rest.model.RestAggregateModel
- assertThat() - Method in class org.alfresco.rest.model.RestAuditAppModel
- assertThat() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- assertThat() - Method in class org.alfresco.rest.model.RestCandidateModel
- assertThat() - Method in class org.alfresco.rest.model.RestCommentModel
- assertThat() - Method in class org.alfresco.rest.model.RestCompanyModel
- assertThat() - Method in class org.alfresco.rest.model.RestCustomAspectModel
- assertThat() - Method in class org.alfresco.rest.model.RestCustomModel
- assertThat() - Method in class org.alfresco.rest.model.RestDeploymentModel
- assertThat() - Method in class org.alfresco.rest.model.RestDiscoveryModel
- assertThat() - Method in class org.alfresco.rest.model.RestDownloadsModel
- assertThat() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestFavoriteSiteModel
- assertThat() - Method in class org.alfresco.rest.model.RestFileModel
- assertThat() - Method in class org.alfresco.rest.model.RestFolderModel
- assertThat() - Method in class org.alfresco.rest.model.RestFormModel
- assertThat() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- assertThat() - Method in class org.alfresco.rest.model.RestGroupMember
- assertThat() - Method in class org.alfresco.rest.model.RestGroupsModel
- assertThat() - Method in class org.alfresco.rest.model.RestHtmlResponse
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestItemModel
- assertThat() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestNetworkModel
- assertThat() - Method in class org.alfresco.rest.model.RestNetworkQuotaModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeAssociationTypeModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeAssocTargetModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeChildAssociationModel
- assertThat() - Method in class org.alfresco.rest.model.RestNodeModel
- assertThat() - Method in class org.alfresco.rest.model.RestPaginationModel
- assertThat() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- assertThat() - Method in class org.alfresco.rest.model.RestPersonFavoritesModel
- assertThat() - Method in class org.alfresco.rest.model.RestPersonModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestPreferenceModel
- assertThat() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- assertThat() - Method in class org.alfresco.rest.model.RestProcessModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestProcessVariableModel
- assertThat() - Method in class org.alfresco.rest.model.RestRatingModel
- assertThat() - Method in class org.alfresco.rest.model.RestRenditionInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- assertThat() - Method in class org.alfresco.rest.model.RestRequestSpellcheckModel
- assertThat() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- assertThat() - Method in class org.alfresco.rest.model.RestSiteContainerModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestSiteEntry
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestSiteMemberModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestSiteModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestSubscriberModel
- assertThat() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- assertThat() - Method in class org.alfresco.rest.model.RestTagModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestTargetModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestTaskModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestTicketBodyModel
- assertThat() - Method in class org.alfresco.rest.model.RestTicketModel
- assertThat() - Method in class org.alfresco.rest.model.RestVariableModel
-
DSL for assertion on this rest model
- assertThat() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- assertThat() - Method in class org.alfresco.rest.model.RestVersionModel
- assertThat() - Method in class org.alfresco.rest.search.FacetFieldBucket
- assertThat() - Method in class org.alfresco.rest.search.FacetInterval
- assertThat() - Method in class org.alfresco.rest.search.ResponseHighLightModel
- assertThat() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- assertThat() - Method in class org.alfresco.rest.search.RestGenericFacetResponseModel
- assertThat() - Method in class org.alfresco.rest.search.RestGenericMetricModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFacetFieldsModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFacetIntervalsModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFacetSetModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFieldsModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestFilterQueryModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestPivotModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestQueryModel
- assertThat() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- assertThat() - Method in class org.alfresco.rest.search.RestResponseConsistencyModel
- assertThat() - Method in class org.alfresco.rest.search.RestResultBucketsModel
- assertThat() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- assertThat() - Method in class org.alfresco.rest.search.RestShardInfoModel
- assertThat() - Method in class org.alfresco.rest.search.SearchNodeModel
- assertThat() - Method in class org.alfresco.rest.search.SearchScoreModel
- assertThat() - Method in class org.alfresco.rest.search.SpellCheckModel
- Audit - Class in org.alfresco.rest.requests
-
Declares all Rest API under the /audit-applications path
- Audit(RestWrapper) - Constructor for class org.alfresco.rest.requests.Audit
- authenticateUser(UserModel) - Method in class org.alfresco.rest.core.RestWrapper
-
Authenticate specific user to Alfresco REST API
- AUTHENTICATION_FAILED - Static variable in class org.alfresco.rest.model.RestErrorModel
B
- BOTH - org.alfresco.rest.requests.syncServiceAPI.Subscriptions.TYPE
- build(Map.Entry<String, Property>) - Static method in class org.alfresco.rest.core.swagger.RestModelProperty
C
- cancelDownload() - Method in class org.alfresco.rest.requests.Downloads
-
Cancel download using DELETE call on "downloads/{downloadId}"
- CANNOT_COMMENT - Static variable in class org.alfresco.rest.model.RestErrorModel
- CANNOT_RATE - Static variable in class org.alfresco.rest.model.RestErrorModel
- CANNOT_TAG - Static variable in class org.alfresco.rest.model.RestErrorModel
- checkFieldIsPresent(Object, Object) - Static method in class org.alfresco.rest.core.assertion.ModelAssertion
- checkServerHealth() - Method in class org.alfresco.rest.RestTest
- clearBasePath() - Method in class org.alfresco.rest.core.RestWrapper
-
just clear the base path
- clearParameters() - Method in class org.alfresco.rest.core.RestWrapper
-
Just clear the parameters sent
- clearSearchQuery(SearchSqlJDBCRequest) - Method in class org.alfresco.rest.requests.search.SearchSQLJDBC
- computeCoverage() - Method in class org.alfresco.rest.core.swagger.SwaggerPaths
-
Compare requests that exist in swagger yaml file vs request implemented in your code any findings are saved to a missing-request txt file.
- computeCoverage() - Method in class org.alfresco.rest.core.swagger.SwaggerYamlParser
- configureRequestSpec() - Method in class org.alfresco.rest.core.RestWrapper
-
You can handle the request sent to server by calling this method.
- configureSolrEndPoint() - Method in class org.alfresco.rest.core.RestWrapper
- configureSyncServiceEndPoint() - Method in class org.alfresco.rest.core.RestWrapper
- contains(String) - Method in class org.alfresco.rest.core.assertion.ModelAssertion.AssertionVerbs
- containsErrorKey(String) - Method in class org.alfresco.rest.model.RestErrorModel
- containsSummary(String) - Method in class org.alfresco.rest.model.RestErrorModel
- CONTENT - org.alfresco.rest.requests.syncServiceAPI.Subscriptions.TYPE
- Context - Class in org.alfresco.rest.search
-
Search response sample.
- Context() - Constructor for class org.alfresco.rest.search.Context
- copy(RestNodeBodyMoveCopyModel) - Method in class org.alfresco.rest.requests.Node
-
Copy a node to a target folder
- copyNode(String) - Method in class org.alfresco.rest.requests.Node
-
Copies the node nodeId to the parent folder node targetParentId using POST call "nodes/{nodeId}/copy"
- count - Variable in class org.alfresco.rest.model.RestTagModel
- createdAt - Variable in class org.alfresco.rest.model.RestFileModel
- createdAt - Variable in class org.alfresco.rest.model.RestFolderModel
- createdBy - Variable in class org.alfresco.rest.model.RestFileModel
- createdBy - Variable in class org.alfresco.rest.model.RestFolderModel
- createDownload(String) - Method in class org.alfresco.rest.requests.Downloads
-
Get download details using POST call on "downloads"
- createGroup(String) - Method in class org.alfresco.rest.requests.Groups
-
Create a group using POST on '/groups
- createGroupMembership(String, String) - Method in class org.alfresco.rest.requests.Groups
-
Create a group membership using POST on '/groups/{groupId}/members
- createNode() - Method in class org.alfresco.rest.requests.Node
-
Create new nodes using POST call on 'nodes/{nodeId}/children You need to specify first the multipart call
RestWrapper#usingMultipartFile(java.io.File)usingMultipartFile(new File("your-local-file.txt")).withCoreAPI().usingNode(ContentModel.my()).createNode(); - createNode(RestNodeBodyModel) - Method in class org.alfresco.rest.requests.Node
-
Create new nodes using POST call on 'nodes/{nodeId}/children
- createNodeRendition(String) - Method in class org.alfresco.rest.requests.Node
-
Create node rendition using POST call on '/nodes/{nodeId}/renditions'
- createPerson(RestPersonModel) - Method in class org.alfresco.rest.requests.People
-
Create new person with given newPerson details using POST call on "people"
- createSecondaryChildren(String) - Method in class org.alfresco.rest.requests.Node
-
Create secondary children association using POST call 'nodes/{nodeId}/secondary-children Use a list of secondary children nodes
- createSharedLink(FileModel) - Method in class org.alfresco.rest.requests.SharedLinks
-
Creates SharedLink for the specified file
- createSharedLinks(FileModel...) - Method in class org.alfresco.rest.requests.SharedLinks
-
Creates SharedLink for all the specified files
- createSharedLinkWithExpiryDate(FileModel, String) - Method in class org.alfresco.rest.requests.SharedLinks
-
Creates SharedLink for the specified file, with the given expiry date
- createSite() - Method in class org.alfresco.rest.requests.Site
-
Create a collaboration site
- createTargetForNode(RestNodeAssocTargetModel) - Method in class org.alfresco.rest.requests.Node
-
Create new target nodes using POST call on '/nodes/{nodeId}/targets'
- createTenant(UserModel) - Method in class org.alfresco.rest.requests.Tenant
-
Create tenant using POST call on "http://{server}:{port}/alfresco/service/api/tenants"
- createTicket(RestTicketBodyModel) - Method in class org.alfresco.rest.requests.authAPI.RestAuthAPI
- CustomAspectModelManager - Class in org.alfresco.rest.requests
- CustomAspectModelManager(CustomContentModel, CustomAspectModel, RestWrapper) - Constructor for class org.alfresco.rest.requests.CustomAspectModelManager
- CustomModelManager - Class in org.alfresco.rest.requests
- CustomModelManager(CustomContentModel, RestWrapper) - Constructor for class org.alfresco.rest.requests.CustomModelManager
D
- dataContent - Variable in class org.alfresco.rest.RestTest
- dataGroup - Variable in class org.alfresco.rest.RestTest
- dataLink - Variable in class org.alfresco.rest.RestTest
- dataPreparation() - Method in class org.alfresco.rest.demo.RestDemoTests
- dataPreparation() - Method in class org.alfresco.rest.demo.SampleCommentsTests
- dataPreparation() - Method in class org.alfresco.rest.demo.SamplePeopleTests
- dataPreparation() - Method in class org.alfresco.rest.demo.SampleSitesTests
- dataSite - Variable in class org.alfresco.rest.RestTest
- dataUser - Variable in class org.alfresco.rest.RestTest
- dataWorkflow - Variable in class org.alfresco.rest.RestTest
- deactivateModel() - Method in class org.alfresco.rest.requests.CustomModelManager
- defineJSON() - Static method in class org.alfresco.rest.core.JsonBodyGenerator
- defineJSONArray() - Static method in class org.alfresco.rest.core.JsonBodyGenerator
- defineNodes() - Method in class org.alfresco.rest.requests.Node
- DELEGATED_TASK_CAN_NOT_BE_COMPLETED - Static variable in class org.alfresco.rest.model.RestErrorModel
- DELEGATING_ASSIGNEE_PROVIDED - Static variable in class org.alfresco.rest.model.RestErrorModel
- DELETE_EMPTY_ARGUMENT - Static variable in class org.alfresco.rest.model.RestErrorModel
- DELETE_LAST_MANAGER - Static variable in class org.alfresco.rest.model.RestErrorModel
- deleteAspect() - Method in class org.alfresco.rest.requests.CustomAspectModelManager
- deleteAspectProperty(CustomAspectPropertiesModel) - Method in class org.alfresco.rest.requests.CustomAspectModelManager
- deleteAuditEntriesForAnAuditApplication(String) - Method in class org.alfresco.rest.requests.Audit
-
Deletes audit entries for audit application auditApplicationId using DELETE call on "/audit-applications/{auditApplicationId}/audit-entries"
- deleteAuditEntryForAnAuditApplication(String, String) - Method in class org.alfresco.rest.requests.Audit
-
Deletes an audit entry auditEntryId for audit application auditApplicationId using DELETE call on "/audit-applications/{auditApplicationId}/audit-entries/{auditEntryId}"
- deleteComment(RestCommentModel) - Method in class org.alfresco.rest.requests.Node
-
Delete a comment for a specific node using DELETE call on nodes/{nodeId}/comments/{commentId}
- deleteDeployment() - Method in class org.alfresco.rest.requests.Deployments
-
Delete the specified deployment from Alfresco using DELETE call on "/deployments/{deploymentId}"
- deleteFileFromFavorites(FileModel) - Method in class org.alfresco.rest.requests.People
-
Delete a file from favorites for a specific user using DELETE call on "people/{personId}/favorites/{favoriteId}"
- deleteFiveStarRating() - Method in class org.alfresco.rest.requests.Node
-
Delete fivestar rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"
- deleteFolderFromFavorites(FolderModel) - Method in class org.alfresco.rest.requests.People
-
Delete a folder from favorites for a specific user using DELETE call on "people/{personId}/favorites/{favoriteId}"
- deleteGroup(String) - Method in class org.alfresco.rest.requests.Groups
-
Delete a group using DELETE on '/groups/{groupId}
- deleteGroupMembership(String, String) - Method in class org.alfresco.rest.requests.Groups
-
Delete a group membership using DELETE on '/groups/{groupId}/members/{groupMemberId}
- deleteInvalidRating(String) - Method in class org.alfresco.rest.requests.Node
-
Try to delete invalid rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"
- deleteLikeRating() - Method in class org.alfresco.rest.requests.Node
-
Delete like rating using DELETE call on "nodes/{nodeId}/ratings/{ratingId}"
- deleteModel() - Method in class org.alfresco.rest.requests.CustomModelManager
- deleteNode(String) - Method in class org.alfresco.rest.requests.Node
-
Delete a specific node using DELETE call on nodes/{nodeId}
- deleteNode(RestNodeModel) - Method in class org.alfresco.rest.requests.Node
-
Delete a specific node using DELETE call on nodes/{nodeId}
- deleteNodeFromTrashcan(RepoTestModel) - Method in class org.alfresco.rest.requests.Trashcan
-
Delete node from trashcan using DELETE call on "deleted-nodes/{nodeId}"
- deleteNodeVersion(String) - Method in class org.alfresco.rest.requests.Node
-
Delete the version identified by versionId for nodeId using DELETE call 'nodes/{nodeId}versions/{versionId}
- deleteProcess() - Method in class org.alfresco.rest.requests.Processes
-
Delete a process using DELETE call on processes/{processId}
- deleteProcessItem(RestItemModel) - Method in class org.alfresco.rest.requests.Processes
-
Delete a process item using DELETE call on processes/{processId}/items/{itemId}
- deleteProcessVariable(RestProcessVariableModel) - Method in class org.alfresco.rest.requests.Processes
-
Delete a process variable using DELETE call on processes/{processId}/variables/{variableName}
- deleteSecondaryChild(RestNodeAssociationModel) - Method in class org.alfresco.rest.requests.Node
-
Delete secondary children using DELETE call 'nodes/{nodeId}/secondary-children/{childId}
- deleteSharedLink(RestSharedLinksModel) - Method in class org.alfresco.rest.requests.SharedLinks
-
Removes SharedLink for the specified file, the sharedlink is deleted, file is unshared as a result
- deleteSiteFromFavorites(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Delete site from favorites for a specific user using DELETE call on "people/{personId}/favorites/{favoriteId}"
- deleteSiteMember(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Delete site member with DELETE call on "people/{personId}/sites/{siteId}"
- deleteSiteMember(UserModel) - Method in class org.alfresco.rest.requests.Site
-
Delete site member with DELETE call on "sites/{siteId}/members/{personId}"
- deleteSiteMembershipRequest(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Delete site membership request with DELETE call on "/people/{personId}/site-membership-requests/{siteId}"
- deleteTag(RestTagModel) - Method in class org.alfresco.rest.requests.Node
-
Deletes a tag for a specific content node using DELETE call on nodes/{nodeId}/tags/{tagId}
- deleteTarget(RestNodeAssocTargetModel) - Method in class org.alfresco.rest.requests.Node
-
Delete a target for a specific node using DELETE call on nodes/{nodeId}/targets/{targetId}
- deleteTaskItem(RestItemModel) - Method in class org.alfresco.rest.requests.Task
-
Delete a task item using DELETE call on tasks/{taskId}/items/{itemId}
- deleteTaskVariable(RestVariableModel) - Method in class org.alfresco.rest.requests.Task
-
Delete task variable using DELETE /tasks/{taskId}/variables/{variableName} call
- Deployments - Class in org.alfresco.rest.requests
-
Created by Claudia Agache on 10/4/2016.
- Deployments(RestWrapper) - Constructor for class org.alfresco.rest.requests.Deployments
- Deployments(RestDeploymentModel, RestWrapper) - Constructor for class org.alfresco.rest.requests.Deployments
- descriptionURLIs(String) - Method in class org.alfresco.rest.model.RestErrorModel
- differentNetworkTenantUser - Static variable in class org.alfresco.rest.NetworkDataPrep
- dislikeDocument() - Method in class org.alfresco.rest.requests.Node
- doHealthCheck() - Method in class org.alfresco.rest.requests.privateAPI.RestPrivateAPI
-
Provides DSL on all REST calls under
subscribers/API path - downloadAvatarContent() - Method in class org.alfresco.rest.requests.People
-
Get people avatar image using GET call on '/people/{personId}/avatar Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.
- Downloads - Class in org.alfresco.rest.requests
-
Methods for Rest API under the /downloads path
- Downloads(RestWrapper) - Constructor for class org.alfresco.rest.requests.Downloads
- Downloads(RestDownloadsModel, RestWrapper) - Constructor for class org.alfresco.rest.requests.Downloads
E
- EMPTY_TAG - Static variable in class org.alfresco.rest.model.RestErrorModel
- EmptyJsonResponseException - Exception in org.alfresco.rest.exception
- EmptyJsonResponseException(String) - Constructor for exception org.alfresco.rest.exception.EmptyJsonResponseException
- EmptyRestModelCollectionException - Exception in org.alfresco.rest.exception
- EmptyRestModelCollectionException(Collection<E>) - Constructor for exception org.alfresco.rest.exception.EmptyRestModelCollectionException
- endSync(RestSyncNodeSubscriptionModel, RestSyncSetRequestModel) - Method in class org.alfresco.rest.requests.syncServiceAPI.Sync
- ENTITY_NOT_FOUND - Static variable in class org.alfresco.rest.model.RestErrorModel
- ENTITY_NOT_FOUND_ERRORKEY - Static variable in class org.alfresco.rest.model.RestErrorModel
- ENTITY_WAS_NOT_FOUND - Static variable in class org.alfresco.rest.model.RestErrorModel
- entriesListContains(String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
- entriesListContains(String, String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
- entriesListCountIs(int) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
- entriesListDoesNotContain(String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
- entriesListDoesNotContain(String, String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
- entriesListIsEmpty() - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
-
check if "entries" list from JSON is empty
- entriesListIsNotEmpty() - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
-
check if "entries" list from JSON is not empty
- entriesListIsSortedAscBy(String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
-
check is the entries are ordered ASC by a specific field
- entriesListIsSortedDescBy(String) - Method in class org.alfresco.rest.core.assertion.ModelsCollectionAssertion
-
check is the entries are ordered DESC by a specific field
- envProperty() - Method in class org.alfresco.rest.core.RestProperties
- equals(Object) - Method in class org.alfresco.rest.core.assertion.ModelAssertion.AssertionVerbs
- executeAction(String, RepoTestModel) - Method in class org.alfresco.rest.requests.Actions
-
Execute action without parameters using POST on '/action-executions'
- executeAction(String, RepoTestModel, Map<String, String>) - Method in class org.alfresco.rest.requests.Actions
-
Execute action with parameters using POST on '/action-executions'
- executeActionPostBody(String, RepoTestModel) - Static method in class org.alfresco.rest.core.JsonBodyGenerator
-
{ "actionDefinitionId": "check-out", "targetId": "4c4b3c43-f18b-43ff-af84-751f16f1ddfd", }
- executeActionPostBody(String, RepoTestModel, Map<String, String>) - Static method in class org.alfresco.rest.core.JsonBodyGenerator
-
{ "actionDefinitionId": "copy", "targetId": "4c4b3c43-f18b-43ff-af84-751f16f1ddfd", "params": { "destination-folder": "34219f79-66fa-4ebf-b371-118598af898c" } }
- executeQueryViaJDBC(SearchSqlJDBCRequest) - Method in class org.alfresco.rest.requests.search.SearchSQLJDBC
- exist() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
F
- FacetFieldBucket - Class in org.alfresco.rest.search
-
Pojo to represent facet field bucket response.
- FacetFieldBucket() - Constructor for class org.alfresco.rest.search.FacetFieldBucket
- FacetFieldQuery - Class in org.alfresco.rest.search
-
Pojo to represent facet field query.
- FacetFieldQuery() - Constructor for class org.alfresco.rest.search.FacetFieldQuery
- FacetFieldQuery(String) - Constructor for class org.alfresco.rest.search.FacetFieldQuery
- FacetFieldQuery(String, String) - Constructor for class org.alfresco.rest.search.FacetFieldQuery
- FacetInterval - Class in org.alfresco.rest.search
-
Represents a facet interval.
- FacetInterval() - Constructor for class org.alfresco.rest.search.FacetInterval
- FacetInterval(String, String, List<RestRequestFacetSetModel>) - Constructor for class org.alfresco.rest.search.FacetInterval
- FacetQuery - Class in org.alfresco.rest.search
-
Pojo to represent facet query.
- FacetQuery() - Constructor for class org.alfresco.rest.search.FacetQuery
- FacetQuery(String, String) - Constructor for class org.alfresco.rest.search.FacetQuery
- FacetQuery(String, String, String) - Constructor for class org.alfresco.rest.search.FacetQuery
- field(String) - Method in class org.alfresco.rest.core.assertion.ModelAssertion
-
Use this DSL for asserting particular fields of your model if your model is like this (basic POJO) public class Person extends ModelAssertion
{ private String id = "1234"; you can use assert the id of this person as: Person p = new Person(); p.assertField("id").is("1234") - fieldsCount() - Method in class org.alfresco.rest.core.assertion.ModelAssertion
- file(String) - Method in class org.alfresco.rest.model.builder.NodesBuilder.NodeDetail
- findDeletedNode(RepoTestModel) - Method in class org.alfresco.rest.requests.Trashcan
-
Gets a node from trashcan using GET call on "deleted-nodes/{nodeId}"
- findDeletedNodes() - Method in class org.alfresco.rest.requests.Trashcan
-
GET on deleted-nodes
- findNodes() - Method in class org.alfresco.rest.requests.Queries
-
GET on queries/nodes
- findPeople() - Method in class org.alfresco.rest.requests.Queries
-
GET on queries/people
- findSites() - Method in class org.alfresco.rest.requests.Queries
-
GET on queries/people
- fiveStarRating(int) - Static method in class org.alfresco.rest.core.JsonBodyGenerator
- folder(String) - Method in class org.alfresco.rest.model.builder.NodesBuilder
- folder(String) - Method in class org.alfresco.rest.model.builder.NodesBuilder.NodeDetail
- FOR_INPUT_STRING - Static variable in class org.alfresco.rest.model.RestErrorModel
- from(String, String, boolean) - Static method in class org.alfresco.rest.search.SortClause
-
Shortcut method for creating a sort clause.
G
- generate() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
- generateDefinition(String) - Method in class org.alfresco.rest.core.swagger.SwaggerDefinitions
- generateMissingDefinitions() - Method in class org.alfresco.rest.core.swagger.SwaggerDefinitions
- generateMissingModules() - Method in class org.alfresco.rest.core.swagger.SwaggerYamlParser
- Generator - Class in org.alfresco.rest.core.swagger
-
Executed via command line/terminal from root of this project Just execute
mvn exec:javapassing as arguments: -Dcoverage => this will show on screen the actual coverage of TAS (vs requests that exists in each YAML file - defined in pom.xml) -Dmodels => this will show all MISSING models that are NOT already implemented in TAS. - Generator() - Constructor for class org.alfresco.rest.core.swagger.Generator
- getActionDefinitionById(String) - Method in class org.alfresco.rest.requests.Actions
-
Get specific action definition using GET on '/action-definitions/{actionDefinitionId}'
- getActionDefinitions() - Method in class org.alfresco.rest.requests.Node
- getActiveMQConnection() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getActivityDefinitionId() - Method in class org.alfresco.rest.model.RestTaskModel
- getActivitySummary() - Method in class org.alfresco.rest.model.RestActivityModel
- getActivityType() - Method in class org.alfresco.rest.model.RestActivityModel
- getAddress1() - Method in class org.alfresco.rest.model.RestCompanyModel
- getAddress2() - Method in class org.alfresco.rest.model.RestCompanyModel
- getAddress3() - Method in class org.alfresco.rest.model.RestCompanyModel
- getAdminConsoleRepoInfo() - Method in class org.alfresco.rest.requests.AdminConsole
- getAggregate() - Method in class org.alfresco.rest.model.RestRatingModel
- getAisAuthenticationToken(UserModel) - Method in class org.alfresco.rest.core.RestAisAuthentication
-
Get the AIS access token for the specified user model.
- getAllowableOperations() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getAllowableOperations() - Method in class org.alfresco.rest.model.RestNodeModel
- getAllowableOperations() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getAllowableOperations() - Method in class org.alfresco.rest.search.SearchNodeModel
- getAllowedValues() - Method in class org.alfresco.rest.model.RestFormModel
- getAllProcessDefinitions() - Method in class org.alfresco.rest.requests.ProcessDefinitions
-
Retrieve 100 process definitions (this is the default size when maxItems is not specified) from Alfresco using GET call on "/process-definitions"
- getAllProcessDefinitions() - Method in class org.alfresco.rest.requests.workflowAPI.RestWorkflowAPI
-
Provides all ProcessDefinitions of current user logged in
- getApplicableTypes() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- getArchivedAt() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getArchivedAt() - Method in class org.alfresco.rest.model.RestNodeModel
- getArchivedByUser() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getArchivedByUser() - Method in class org.alfresco.rest.model.RestNodeModel
- getAspect() - Method in class org.alfresco.rest.requests.CustomAspectModelManager
- getAspectNames() - Method in class org.alfresco.rest.model.RestElementModel
- getAspectNames() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getAspectNames() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getAspectNames() - Method in class org.alfresco.rest.model.RestNodeModel
- getAspectNames() - Method in class org.alfresco.rest.model.RestPersonModel
- getAspectNames() - Method in class org.alfresco.rest.model.RestVersionModel
- getAspectNames() - Method in class org.alfresco.rest.search.SearchNodeModel
- getAspects() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getAssociation() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getAssociation() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getAssocType() - Method in class org.alfresco.rest.model.RestNodeAssociationTypeModel
- getAssocType() - Method in class org.alfresco.rest.model.RestNodeAssocTargetModel
- getAssocType() - Method in class org.alfresco.rest.model.RestNodeChildAssociationModel
- getAsync() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getAuditApp(RestAuditAppModel) - Method in class org.alfresco.rest.requests.Audit
-
Retrieves an audit application info with ID using GET call on "/audit-applications/{auditApplicationId}"
- getAuditApplicationId() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- getAuditApplications() - Method in class org.alfresco.rest.requests.Audit
-
Gets a list of audit applications in this repository using GET call on "/audit-applications"
- getAuditEntryForAnAuditApplication(String, String) - Method in class org.alfresco.rest.requests.Audit
-
Retrieves an audit entry auditEntryId for audit application auditApplicationId using GET call on "/audit-applications/{auditApplicationId}/audit-entries/{auditEntryId}"
- getAuthority() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getAuthUser() - Method in class org.alfresco.rest.search.SearchSqlJDBCRequest
- getAvatarId() - Method in class org.alfresco.rest.model.RestPersonModel
- getAverage() - Method in class org.alfresco.rest.model.RestAggregateModel
- getBaseUrl() - Method in class org.alfresco.rest.search.RestInstanceModel
- getBody() - Method in class org.alfresco.rest.core.RestRequest
- getBody() - Method in class org.alfresco.rest.model.RestHtmlResponse
- getBriefSummary() - Method in class org.alfresco.rest.model.RestErrorModel
- getBucketInfo() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getBuckets() - Method in class org.alfresco.rest.search.RestGenericFacetResponseModel
- getBuckets() - Method in class org.alfresco.rest.search.RestResultBucketsModel
- getBytesAdded() - Method in class org.alfresco.rest.model.RestDownloadsModel
- getCandidateId() - Method in class org.alfresco.rest.model.RestCandidateModel
- getCandidateType() - Method in class org.alfresco.rest.model.RestCandidateModel
- getCapabilities() - Method in class org.alfresco.rest.model.RestPersonModel
- getCardinality() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getCardinalityAccuracy() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getCascade() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getCategory() - Method in class org.alfresco.rest.model.RestDeploymentModel
- getCategory() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getChanges() - Method in class org.alfresco.rest.model.RestSyncSetGetModel
- getCheckSum() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getChildId() - Method in class org.alfresco.rest.model.RestNodeChildAssociationModel
- getClientVersion() - Method in class org.alfresco.rest.model.RestSubscriberModel
- getCompany() - Method in class org.alfresco.rest.model.RestPersonModel
- getCompleted() - Method in class org.alfresco.rest.model.RestProcessModel
- getConfig() - Method in class org.alfresco.rest.model.RestSyncServiceModel
- getConfig() - Method in class org.alfresco.rest.requests.search.SolrAPI
- getConfigOverlay() - Method in class org.alfresco.rest.requests.search.SolrAPI
- getConfigParams() - Method in class org.alfresco.rest.requests.search.SolrAPI
- getConflict() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getConnection() - Method in class org.alfresco.rest.search.SearchSqlJDBCRequest
- getConsistency() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- getContent() - Method in class org.alfresco.rest.model.RestCommentModel
- getContent() - Method in class org.alfresco.rest.model.RestFileModel
- getContent() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getContent() - Method in class org.alfresco.rest.model.RestNodeModel
- getContent() - Method in class org.alfresco.rest.model.RestRenditionInfoModel
- getContent() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getContent() - Method in class org.alfresco.rest.model.RestVersionModel
- getContent() - Method in class org.alfresco.rest.search.SearchNodeModel
- getContentType() - Method in class org.alfresco.rest.core.RestRequest
- getContext() - Method in class org.alfresco.rest.search.SearchResponse
- getCount() - Method in class org.alfresco.rest.model.RestPaginationModel
- getCount() - Method in class org.alfresco.rest.model.RestTagModel
- getCount() - Method in class org.alfresco.rest.search.FacetFieldBucket
- getCount() - Method in class org.alfresco.rest.search.Pagination
- getCountDistinct() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getCountValues() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestCommentModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestFileModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestFolderModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestItemModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestNodeModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestPersonFavoritesModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestPersonNetworkModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestSubscriberModel
- getCreatedAt() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- getCreatedAt() - Method in class org.alfresco.rest.search.SearchNodeModel
- getCreatedBy() - Method in class org.alfresco.rest.model.RestCommentModel
- getCreatedBy() - Method in class org.alfresco.rest.model.RestFileModel
- getCreatedBy() - Method in class org.alfresco.rest.model.RestFolderModel
- getCreatedBy() - Method in class org.alfresco.rest.model.RestItemModel
- getCreatedByUser() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- getCreatedByUser() - Method in class org.alfresco.rest.model.RestFileModel
- getCreatedByUser() - Method in class org.alfresco.rest.model.RestFolderModel
- getCreatedByUser() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getCreatedByUser() - Method in class org.alfresco.rest.model.RestNodeModel
- getCreatedByUser() - Method in class org.alfresco.rest.search.SearchNodeModel
- getDatabaseConnection() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getDataType() - Method in class org.alfresco.rest.model.RestFormModel
- getDeadlocks() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getDefaultContentType() - Method in class org.alfresco.rest.core.RestWrapper
- getDefaultValue() - Method in class org.alfresco.rest.model.RestFormModel
- getDeletedNodeContent(RepoTestModel) - Method in class org.alfresco.rest.requests.Trashcan
-
Gets a trashcan node content using GET call on "deleted-nodes/{nodeId}/content"
- getDeletedNodeRendition(RepoTestModel, String) - Method in class org.alfresco.rest.requests.Trashcan
-
Gets a single trashcan node rendition using GET call on "/deleted-nodes/{nodeId}/renditions/{renditionId}"
- getDeletedNodeRenditionContent(RepoTestModel, String) - Method in class org.alfresco.rest.requests.Trashcan
-
Gets a single trashcan node rendition content using GET call on "/deleted-nodes/{nodeId}/renditions/{renditionId}/content"
- getDeletedNodeRenditions(RepoTestModel) - Method in class org.alfresco.rest.requests.Trashcan
-
Gets all trashcan node renditions using GET call on "/deleted-nodes/{nodeId}/renditions"
- getDeleteReason() - Method in class org.alfresco.rest.model.RestProcessModel
- getDeployedAt() - Method in class org.alfresco.rest.model.RestDeploymentModel
- getDeployment() - Method in class org.alfresco.rest.requests.Deployments
-
Retrieve the specified deployment from Alfresco using GET call on "/deployments/{deploymentId}"
- getDeploymentByName(String) - Method in class org.alfresco.rest.model.RestDeploymentModelsCollection
- getDeploymentId() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getDeployments() - Method in class org.alfresco.rest.requests.Deployments
-
Retrieve 100 deployments (this is the default size when maxItems is not specified) from Alfresco using GET call on "/deployments"
- getDeployments() - Method in class org.alfresco.rest.requests.workflowAPI.RestWorkflowAPI
-
Provides all deployments of current user logged in
- getDescription() - Method in class org.alfresco.rest.core.swagger.RestModelProperty
- getDescription() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- getDescription() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- getDescription() - Method in class org.alfresco.rest.model.RestPersonModel
- getDescription() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getDescription() - Method in class org.alfresco.rest.model.RestTaskModel
- getDescriptionURL() - Method in class org.alfresco.rest.model.RestErrorModel
- getDeviceOS() - Method in class org.alfresco.rest.model.RestSubscriberModel
- getDeviceSubscriptionId() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- getDisplay() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getDisplay() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getDisplay() - Method in class org.alfresco.rest.search.FacetFieldBucket
- getDisplay() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getDisplayLabel() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- getDisplayName() - Method in class org.alfresco.rest.model.RestAuditValuesModel
- getDisplayName() - Method in class org.alfresco.rest.model.RestByUserModel
- getDisplayName() - Method in class org.alfresco.rest.model.RestGroupMember
- getDisplayName() - Method in class org.alfresco.rest.model.RestGroupsModel
- getDisplayName() - Method in class org.alfresco.rest.model.RestPersonModel
- getDistinctValues() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getDownload() - Method in class org.alfresco.rest.requests.Downloads
-
Get download details using GET call on "downloads/{downloadId}"
- getDsyncClientVersionMin() - Method in class org.alfresco.rest.model.RestSyncServiceConfigModel
- getDurationInMs() - Method in class org.alfresco.rest.model.RestProcessModel
- getDurationInMs() - Method in class org.alfresco.rest.model.RestTaskModel
- getEdited() - Method in class org.alfresco.rest.model.RestCommentModel
- getEdition() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- getEdition() - Method in class org.alfresco.rest.model.RestSyncServiceRepoInfoModel
- getElements() - Method in class org.alfresco.rest.model.RestPathModel
- getEmail() - Method in class org.alfresco.rest.model.RestCompanyModel
- getEmail() - Method in class org.alfresco.rest.model.RestPersonModel
- getEmailNotificationsEnabled() - Method in class org.alfresco.rest.model.RestPersonModel
- getEnabled() - Method in class org.alfresco.rest.model.RestPersonModel
- getEncoding() - Method in class org.alfresco.rest.model.RestContentModel
- getEnd() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getEnd() - Method in class org.alfresco.rest.search.RestRequestFacetSetModel
- getEndedAt() - Method in class org.alfresco.rest.model.RestProcessModel
- getEndedAt() - Method in class org.alfresco.rest.model.RestTaskModel
- getEntitlements() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getEntries() - Method in interface org.alfresco.rest.core.IRestModelsCollection
- getEntries() - Method in class org.alfresco.rest.core.RestModels
- getEntryByIndex(int) - Method in class org.alfresco.rest.core.RestModels
-
Example
siteMembershipRequests.getEntryByIndex(0) .assertThat().field("site.visibility").is(moderatedSite.getVisibility()) .assertThat().field("site.description").is(moderatedSite.getDescription()) .assertThat().field("site.id").is(moderatedSite.getId()) .assertThat().field("site.title").is(moderatedSite.getTitle()); - getError() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getError() - Method in class org.alfresco.rest.model.RestSyncSetRequestModel
- getErrorDetails() - Method in class org.alfresco.rest.search.SearchSqlJDBCRequest
- getErrorKey() - Method in class org.alfresco.rest.model.RestErrorModel
- getEventsHealthCheck() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getEventTimestamp() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getExcludeFilters() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getExcludeFilters() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getExcludeFilters() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getExpiresAt() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getExpiresAt() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getFacetEnumCacheMinDf() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getFacetFields() - Method in class org.alfresco.rest.search.SearchRequest
- getFacetFormat() - Method in class org.alfresco.rest.search.SearchRequest
- getFacetInfo() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getFacetIntervals() - Method in class org.alfresco.rest.search.SearchRequest
- getFacetQueries() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- getFacetQueries() - Method in class org.alfresco.rest.search.SearchRequest
- getFacets() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getFacets() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getFacets() - Method in class org.alfresco.rest.search.RestRequestFacetFieldsModel
- getFacets() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- getFacetsFields() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- getFavorite(String) - Method in class org.alfresco.rest.requests.People
-
Retrieve favorite site for a specific user using GET call on "people/{personId}/favorites/{favoriteId}"
- getFavorites() - Method in class org.alfresco.rest.requests.People
-
Retrieve specific favorites for a specific user using GET call on "people/{personId}/favorites"
- getFavorites() - Method in class org.alfresco.rest.requests.People.WhereClause
- getFavoriteSite(SiteModel) - Method in class org.alfresco.rest.requests.People
-
Returns information on favorite site siteId of person personId.
- getFavoriteSites() - Method in class org.alfresco.rest.requests.People
-
Retrieve a specific person's favorite sites using GET call on "people/{personId}/favorite-sites"
- getFax() - Method in class org.alfresco.rest.model.RestCompanyModel
- getFeedPersonId() - Method in class org.alfresco.rest.model.RestActivityModel
- getField() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getField() - Method in class org.alfresco.rest.search.FacetFieldQuery
- getField() - Method in class org.alfresco.rest.search.FacetInterval
- getField() - Method in class org.alfresco.rest.search.ResponseHighLightModel
- getField() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getField() - Method in class org.alfresco.rest.search.RestRequestFieldsModel
- getField() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getField() - Method in class org.alfresco.rest.search.SortClause
- getFields() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getFields() - Method in class org.alfresco.rest.search.SearchRequest
- getFile() - Method in class org.alfresco.rest.model.RestTargetModel
- getFilesAdded() - Method in class org.alfresco.rest.model.RestDownloadsModel
- getFilterQueries() - Method in class org.alfresco.rest.search.SearchRequest
- getFilterQueries() - Method in class org.alfresco.rest.search.SearchSqlRequest
- getFilterQuery() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getFilterQuery() - Method in class org.alfresco.rest.search.FacetFieldBucket
- getFilterQuery() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getFilters() - Method in class org.alfresco.rest.model.RestSyncServiceConfigModel
- getFirstName() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getFirstName() - Method in class org.alfresco.rest.model.RestPersonModel
- getFiveStarRating() - Method in class org.alfresco.rest.requests.Node
-
Get fivestar rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}"
- getFolder() - Method in class org.alfresco.rest.model.RestTargetModel
- getFolderId() - Method in class org.alfresco.rest.model.RestSiteContainerModel
- getFormat() - Method in class org.alfresco.rest.search.SearchSqlRequest
- getFormResourceKey() - Method in class org.alfresco.rest.model.RestTaskModel
- getFragmentSize() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getGap() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getGoogleId() - Method in class org.alfresco.rest.model.RestPersonModel
- getGraphicNotationDefined() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getGroup() - Method in class org.alfresco.rest.search.FacetQuery
- getGroupDetail(String) - Method in class org.alfresco.rest.requests.Groups
-
Retrieve group details using GET on '/groups/{groupId}
- getGuid() - Method in class org.alfresco.rest.model.RestFileModel
- getGuid() - Method in class org.alfresco.rest.model.RestFolderModel
- getGuid() - Method in class org.alfresco.rest.model.RestSiteEntry
- getHardend() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getHasContent() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getHealthcheck() - Method in class org.alfresco.rest.requests.syncServiceAPI.Healthcheck
-
Get Healthcheck using GET call on alfresco/healthcheck
- getHealthy() - Method in class org.alfresco.rest.model.RestSyncServiceComponentModel
- getHighlight() - Method in class org.alfresco.rest.search.SearchRequest
- getHighlight() - Method in class org.alfresco.rest.search.SearchScoreModel
- getHolder() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getHost() - Method in class org.alfresco.rest.search.RestInstanceModel
- getHotfix() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getHttpMethod() - Method in class org.alfresco.rest.core.RestRequest
- getId() - Method in class org.alfresco.rest.model.builder.NodesBuilder.NodeDetail
- getId() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- getId() - Method in class org.alfresco.rest.model.RestActivityModel
- getId() - Method in class org.alfresco.rest.model.RestAuditAppModel
- getId() - Method in class org.alfresco.rest.model.RestAuditEntryModel
- getId() - Method in class org.alfresco.rest.model.RestAuditValuesModel
- getId() - Method in class org.alfresco.rest.model.RestByUserModel
- getId() - Method in class org.alfresco.rest.model.RestCommentModel
- getId() - Method in class org.alfresco.rest.model.RestDeploymentModel
- getId() - Method in class org.alfresco.rest.model.RestDownloadsModel
- getId() - Method in class org.alfresco.rest.model.RestElementModel
- getId() - Method in class org.alfresco.rest.model.RestFavoriteSiteModel
- getId() - Method in class org.alfresco.rest.model.RestFileModel
- getId() - Method in class org.alfresco.rest.model.RestFolderModel
- getId() - Method in class org.alfresco.rest.model.RestGroupMember
- getId() - Method in class org.alfresco.rest.model.RestGroupsModel
- getId() - Method in class org.alfresco.rest.model.RestItemModel
- getId() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- getId() - Method in class org.alfresco.rest.model.RestNetworkQuotaModel
- getId() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getId() - Method in class org.alfresco.rest.model.RestNodeModel
- getId() - Method in class org.alfresco.rest.model.RestPersonModel
- getId() - Method in class org.alfresco.rest.model.RestPersonNetworkModel
- getId() - Method in class org.alfresco.rest.model.RestPreferenceModel
- getId() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getId() - Method in class org.alfresco.rest.model.RestRatingModel
- getId() - Method in class org.alfresco.rest.model.RestRenditionInfoModel
- getId() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- getId() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getId() - Method in class org.alfresco.rest.model.RestSiteContainerModel
- getId() - Method in class org.alfresco.rest.model.RestSiteEntry
- getId() - Method in class org.alfresco.rest.model.RestSiteMemberModel
- getId() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- getId() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- getId() - Method in class org.alfresco.rest.model.RestSubscriberModel
- getId() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- getId() - Method in class org.alfresco.rest.model.RestSyncServiceModel
- getId() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getId() - Method in class org.alfresco.rest.model.RestTicketModel
- getId() - Method in class org.alfresco.rest.model.RestVersionModel
- getId() - Method in class org.alfresco.rest.search.SearchNodeModel
- getInclude() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getInclude() - Method in class org.alfresco.rest.search.SearchRequest
-
Returns the include options in this request.
- getIncludeMetadata() - Method in class org.alfresco.rest.search.SearchSqlRequest
- getIncludeRequest() - Method in class org.alfresco.rest.search.SearchRequest
- getInfo() - Method in class org.alfresco.rest.requests.search.ShardInfoAPI
-
Get Info about the shard groups
- getInstallDate() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- getInstallState() - Method in class org.alfresco.rest.model.RestModuleInfoModel
- getInstances() - Method in class org.alfresco.rest.search.RestShardModel
- getInstantMessageId() - Method in class org.alfresco.rest.model.RestPersonModel
- getIntervals() - Method in class org.alfresco.rest.search.RestRequestFacetIntervalsModel
- getIsAuditEnabled() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- getIsClusterEnabled() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- getIsCryptodocEnabled() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- getIsEnabled() - Method in class org.alfresco.rest.model.RestAuditAppModel
- getIsFile() - Method in class org.alfresco.rest.model.RestFileModel
- getIsFile() - Method in class org.alfresco.rest.model.RestFolderModel
- getIsFile() - Method in class org.alfresco.rest.model.RestNodeModel
- getIsFolder() - Method in class org.alfresco.rest.model.RestFileModel
- getIsFolder() - Method in class org.alfresco.rest.model.RestFolderModel
- getIsFolder() - Method in class org.alfresco.rest.model.RestNodeModel
- getIsLink() - Method in class org.alfresco.rest.model.RestNodeModel
- getIsLocked() - Method in class org.alfresco.rest.model.RestNodeModel
- getIsQuickShareEnabled() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- getIsReadOnly() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- getIsResetAll() - Method in class org.alfresco.rest.model.RestSyncSetResetsModel
- getIsRoot() - Method in class org.alfresco.rest.model.RestGroupsModel
- getIssuedAt() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getIsThumbnailGenerationEnabled() - Method in class org.alfresco.rest.model.RestStatusInfoModel
- getItemsType() - Method in class org.alfresco.rest.core.swagger.RestModelProperty
- getJobTitle() - Method in class org.alfresco.rest.model.RestPersonModel
- getJsonObject() - Method in class org.alfresco.rest.model.RestTextResponse
- getJsonObjectByPath(String) - Method in class org.alfresco.rest.model.RestTextResponse
- getJsonValueByPath(String) - Method in class org.alfresco.rest.model.RestTextResponse
- getKey() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getKey() - Method in class org.alfresco.rest.search.RestRequestPivotModel
- getLabel() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getLabel() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getLabel() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getLabel() - Method in class org.alfresco.rest.search.FacetFieldBucket
- getLabel() - Method in class org.alfresco.rest.search.FacetInterval
- getLabel() - Method in class org.alfresco.rest.search.FacetQuery
- getLabel() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getLabel() - Method in class org.alfresco.rest.search.RestGenericFacetResponseModel
- getLabel() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getLabel() - Method in class org.alfresco.rest.search.RestRequestFacetSetModel
- getLabel() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getLabel() - Method in class org.alfresco.rest.search.RestResultBucketsModel
- getLanguage() - Method in class org.alfresco.rest.search.RestRequestQueryModel
- getLanguage() - Method in class org.alfresco.rest.search.SearchRequest
- getLastIndexedChangesetDate() - Method in class org.alfresco.rest.search.RestInstanceModel
- getLastIndexedChangesetId() - Method in class org.alfresco.rest.search.RestInstanceModel
- getLastIndexedTransactionDate() - Method in class org.alfresco.rest.search.RestInstanceModel
- getLastIndexedTransactionId() - Method in class org.alfresco.rest.search.RestInstanceModel
- getLastName() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getLastName() - Method in class org.alfresco.rest.model.RestPersonModel
- getLastStatus() - Method in class org.alfresco.rest.core.RestWrapper
- getLastTxId() - Method in class org.alfresco.rest.search.Context
- getLastTxId() - Method in class org.alfresco.rest.search.RestResponseConsistencyModel
- getLastUpdateDate() - Method in class org.alfresco.rest.search.RestInstanceModel
- getLicense() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- getLifetime() - Method in class org.alfresco.rest.model.body.RestNodeLockBodyModel
- getLikeRating() - Method in class org.alfresco.rest.requests.Node
-
Get like rating of a document using GET call on "nodes/{nodeId}/ratings/{ratingId}"
- getLimit() - Method in class org.alfresco.rest.model.RestNetworkQuotaModel
- getLimit() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getLimit() - Method in class org.alfresco.rest.search.SearchSqlRequest
- getLocales() - Method in class org.alfresco.rest.search.SearchSqlRequest
- getLocation() - Method in class org.alfresco.rest.model.RestPersonModel
- getLocation() - Method in class org.alfresco.rest.search.SearchNodeModel
- getLogId() - Method in class org.alfresco.rest.model.RestErrorModel
- getLowInstanceShards() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMajor() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getMax() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getMaxAnalyzedChars() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getMaxChangesetId() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMaxDocs() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- getMaxItems() - Method in class org.alfresco.rest.model.RestPaginationModel
- getMaxItems() - Method in class org.alfresco.rest.search.Pagination
- getMaxLiveInstances() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMaxRepositoryTransactionId() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMaxUsers() - Method in class org.alfresco.rest.model.RestEntitlementsInfoModel
- getMean() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getMemberFirstName() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getMemberLastName() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getMemberPersonId() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getMemberType() - Method in class org.alfresco.rest.model.RestGroupMember
- getMergeContiguous() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getMessage() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- getMessage() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- getMessage() - Method in class org.alfresco.rest.model.RestSyncServiceComponentModel
- getMessage() - Method in class org.alfresco.rest.model.RestSyncSetGetModel
- getMessage() - Method in class org.alfresco.rest.model.RestSyncSetRequestModel
- getMethod() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getMetrics() - Method in class org.alfresco.rest.model.RestGenericBucketModel
- getMetrics() - Method in class org.alfresco.rest.search.RestGenericBucketModel
- getMimeType() - Method in class org.alfresco.rest.model.RestContentModel
- getMimeType() - Method in class org.alfresco.rest.model.RestFileModel
- getMimeType() - Method in class org.alfresco.rest.model.RestItemModel
- getMimeTypeName() - Method in class org.alfresco.rest.model.RestContentModel
- getMin() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getMinActiveInstances() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMincount() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getMinimumClientVersion() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getMinor() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getMissing() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getMissing() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getMissingShards() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getMobile() - Method in class org.alfresco.rest.model.RestPersonModel
- getMode() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getMode() - Method in class org.alfresco.rest.search.RestInstanceModel
- getMode() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getModel() - Method in class org.alfresco.rest.model.RestDownloadsModel
- getModel() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getModel() - Method in class org.alfresco.rest.model.RestSyncNodeSubscriptionModel
- getModel() - Method in class org.alfresco.rest.requests.CustomModelManager
-
Retrieve one model using GET call on "cmm/{modelName}"
- getModel() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getModel() - Method in class org.alfresco.rest.search.SearchNodeModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestCommentModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestFileModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestFolderModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestItemModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestNodeModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestSiteMembershipRequestModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- getModifiedAt() - Method in class org.alfresco.rest.model.RestVersionModel
- getModifiedAt() - Method in class org.alfresco.rest.search.SearchNodeModel
- getModifiedBy() - Method in class org.alfresco.rest.model.RestCommentModel
- getModifiedBy() - Method in class org.alfresco.rest.model.RestFileModel
- getModifiedBy() - Method in class org.alfresco.rest.model.RestFolderModel
- getModifiedBy() - Method in class org.alfresco.rest.model.RestItemModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestFileModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestFolderModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestNodeModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getModifiedByUser() - Method in class org.alfresco.rest.model.RestVersionModel
- getModifiedByUser() - Method in class org.alfresco.rest.search.SearchNodeModel
- getModules() - Method in class org.alfresco.rest.model.RestRepositoryInfoModel
- getMoreChanges() - Method in class org.alfresco.rest.model.RestSyncSetGetModel
- getMyRating() - Method in class org.alfresco.rest.model.RestRatingModel
- getName() - Method in class org.alfresco.rest.core.swagger.RestModelProperty
- getName() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
- getName() - Method in class org.alfresco.rest.model.builder.NodesBuilder.NodeDetail
- getName() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- getName() - Method in class org.alfresco.rest.model.RestAuditAppModel
- getName() - Method in class org.alfresco.rest.model.RestDeploymentModel
- getName() - Method in class org.alfresco.rest.model.RestElementModel
- getName() - Method in class org.alfresco.rest.model.RestFileModel
- getName() - Method in class org.alfresco.rest.model.RestFolderModel
- getName() - Method in class org.alfresco.rest.model.RestFormModel
- getName() - Method in class org.alfresco.rest.model.RestItemModel
- getName() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getName() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getName() - Method in class org.alfresco.rest.model.RestNodeBodyMoveCopyModel
- getName() - Method in class org.alfresco.rest.model.RestNodeModel
- getName() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- getName() - Method in class org.alfresco.rest.model.RestPathModel
- getName() - Method in class org.alfresco.rest.model.RestProcessDefinitionModel
- getName() - Method in class org.alfresco.rest.model.RestProcessVariableModel
- getName() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getName() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getName() - Method in class org.alfresco.rest.model.RestTaskModel
- getName() - Method in class org.alfresco.rest.model.RestVariableModel
- getName() - Method in class org.alfresco.rest.model.RestVersionModel
- getName() - Method in class org.alfresco.rest.search.SearchNodeModel
- getNameCapitalized() - Method in class org.alfresco.rest.core.swagger.RestModelProperty
- getNameInTAS() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
- getNetwork() - Method in class org.alfresco.rest.requests.Networks
-
Retrieve details for the current user network using GET call on "networks/{networkId}"
- getNetwork() - Method in class org.alfresco.rest.requests.People
-
Retrieve details of the current user network using GET call on "people/{personId}/networks/{networkId}"
- getNetwork(UserModel) - Method in class org.alfresco.rest.requests.Networks
-
Retrieve details of a specific network using GET call on "networks/{networkId}"
- getNetwork(UserModel) - Method in class org.alfresco.rest.requests.People
-
Retrieve details of a specific network using GET call on "people/{personId}/networks/{networkId}"
- getNetworks() - Method in class org.alfresco.rest.requests.People
-
Retrieve details of all networks related to the current person using GET call on "people/{personId}/networks"
- getNetworks(UserModel) - Method in class org.alfresco.rest.requests.People
-
Retrieve details of all networks related to a specific person using GET call on "people/{personId}/networks"
- getNetworkWithParams(UserModel) - Method in class org.alfresco.rest.requests.Networks
-
Retrieve details of a specific network using GET call with parameters on "networks/{networkId}?{parameters}"
- getNode() - Method in class org.alfresco.rest.requests.Node
-
Retrieve details for a specific node using GET call on "nodes/{nodeId}"
- getNode(String) - Method in class org.alfresco.rest.model.builder.NodesBuilder
- getNodeAspects() - Method in class org.alfresco.rest.model.RestSyncServiceConfigFiltersModel
- getNodeComments() - Method in class org.alfresco.rest.requests.Node
-
Retrieve comments for a specific node using GET call on "nodes/{nodeId}/comments"
- getNodeContent() - Method in class org.alfresco.rest.requests.Node
-
Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"
- getNodeContent(String) - Method in class org.alfresco.rest.requests.Node
-
Retrieve content for a specific node using GET call on "nodes/{nodeId}/content"
- getNodeId() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getNodeId() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getNodeRendition(String) - Method in class org.alfresco.rest.requests.Node
-
Get node rendition using GET call on '/nodes/{nodeId}/renditions/{renditionId}
- getNodeRenditionContent(String) - Method in class org.alfresco.rest.requests.Node
-
Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/content
- getNodeRenditionContentUntilIsCreated(String) - Method in class org.alfresco.rest.requests.Node
-
Get node rendition content using GET call on 'nodes/{nodeId}/renditions/{renditionId}/content Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.
- getNodeRenditionsInfo() - Method in class org.alfresco.rest.requests.Node
-
Get rendition information for available renditions for the node using GET call on 'nodes/{nodeId}/renditions'
- getNodeRenditionUntilIsCreated(String) - Method in class org.alfresco.rest.requests.Node
-
Get node rendition using GET call on 'nodes/{nodeId}/renditions/{renditionId} Please note that it retries to get the renditions response several times because on the alfresco server the rendition can take a while to be created.
- getNodeSources() - Method in class org.alfresco.rest.requests.Node
-
Get sources for a specific node using GET call on GET /nodes/{nodeId}/sources
- getNodeTags() - Method in class org.alfresco.rest.requests.Node
-
Get node tags using GET call on 'nodes/{nodeId}/tags'
- getNodeTargets() - Method in class org.alfresco.rest.requests.Node
-
Retrieve targets for a specific node using GET call on "nodes/{nodeId}/targets
- getNodeTimeStamp() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getNodeType() - Method in class org.alfresco.rest.model.RestElementModel
- getNodeType() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getNodeType() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getNodeType() - Method in class org.alfresco.rest.model.RestNodeModel
- getNodeType() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getNodeType() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getNodeType() - Method in class org.alfresco.rest.model.RestVersionModel
- getNodeType() - Method in class org.alfresco.rest.search.SearchNodeModel
- getNodeTypes() - Method in class org.alfresco.rest.model.RestSyncServiceConfigFiltersModel
- getNodeTypesWhitelist() - Method in class org.alfresco.rest.model.RestSyncServiceConfigFiltersModel
- getNumberOfRatings() - Method in class org.alfresco.rest.model.RestAggregateModel
- getNumberOfRatingsFor(String) - Method in class org.alfresco.rest.model.RestRatingModelsCollection
-
Default, the rating value can be: "likes" or "fiveStar"
- getNumberOfSecondaryAssocs() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getNumberOfShards() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getObjectId() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getOffset() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getOneRandomEntry() - Method in interface org.alfresco.rest.core.IRestModelsCollection
- getOneRandomEntry() - Method in class org.alfresco.rest.core.RestModels
- getOrganization() - Method in class org.alfresco.rest.model.RestCompanyModel
- getOther() - Method in class org.alfresco.rest.model.RestRequestRangesModel
- getOwner() - Method in class org.alfresco.rest.model.RestTaskModel
- getPagination() - Method in interface org.alfresco.rest.core.IRestModelsCollection
- getPagination() - Method in class org.alfresco.rest.core.RestModels
- getPaging() - Method in class org.alfresco.rest.search.SearchRequest
- getParameterConstraintName() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- getParameterDefinitionModel() - Method in class org.alfresco.rest.model.RestParameterDefinitionModel
- getParameterDefinitions() - Method in class org.alfresco.rest.model.RestActionDefinitionModel
- getParameters() - Method in class org.alfresco.rest.core.RestWrapper
- getParentGroup() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getParentId() - Method in class org.alfresco.rest.model.RestFileModel
- getParentId() - Method in class org.alfresco.rest.model.RestFolderModel
- getParentId() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getParentId() - Method in class org.alfresco.rest.model.RestNodeModel
- getParentId() - Method in class org.alfresco.rest.search.SearchNodeModel
- getParentIds() - Method in class org.alfresco.rest.model.RestGroupsModel
- getParentNodeIds() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getParentObjectId() - Method in class org.alfresco.rest.model.RestActivitySummaryModel
- getParents() - Method in class org.alfresco.rest.requests.Node
-
Get a node's parents using GET call 'nodes/{nodeId}/parents
- getPassword() - Method in class org.alfresco.rest.model.RestPersonModel
- getPassword() - Method in class org.alfresco.rest.model.RestTicketBodyModel
- getPatch() - Method in class org.alfresco.rest.model.RestVersionInfoModel
- getPath() - Method in class org.alfresco.rest.core.RestRequest
- getPath() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
- getPath() - Method in class org.alfresco.rest.model.RestFileModel
- getPath() - Method in class org.alfresco.rest.model.RestFolderModel
- getPath() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getPath() - Method in class org.alfresco.rest.model.RestNodeModel
- getPath() - Method in class org.alfresco.rest.model.RestSharedLinksModel
- getPath() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getPath() - Method in class org.alfresco.rest.search.SearchNodeModel
- getPathParams() - Method in class org.alfresco.rest.core.RestRequest
- getPercentiles() - Method in class org.alfresco.rest.search.RestRequestStatsModel
- getPermissions() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getPermissions() - Method in class org.alfresco.rest.model.RestNodeModel
- getPermissions() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getPermissions() - Method in class org.alfresco.rest.search.SearchNodeModel
- getPerson() - Method in class org.alfresco.rest.model.RestSiteMemberModel
- getPerson() - Method in class org.alfresco.rest.requests.People
-
Retrieve details of a specific person using GET call on "people/{personId}"
- getPersonActivities() - Method in class org.alfresco.rest.requests.People
-
Retrieve list of activities for a specific person using GET call on "people/{personId}/activities" without retry
- getPersonActivitiesUntilEntriesCountIs(int) - Method in class org.alfresco.rest.requests.People
-
Retrieve list of activities for a specific person using GET call on "people/{personId}/activities" Please note that it retries to get the list of activities several times before returning the empty list.
- getPersonModel() - Method in class org.alfresco.rest.model.RestSitePersonMembershipRequestModel
- getPersonPreferenceInformation(String) - Method in class org.alfresco.rest.requests.People
-
Retrieve a specific preference of a specific person using GET call on "people/{personId}/preferences/{preferenceName}"
- getPersonPreferences() - Method in class org.alfresco.rest.requests.People
-
Retrieve preferences of a specific person using GET call on "people/{personId}/preferences"
- getPivots() - Method in class org.alfresco.rest.search.RestRequestPivotModel
- getPivots() - Method in class org.alfresco.rest.search.SearchRequest
- getPort() - Method in class org.alfresco.rest.search.RestInstanceModel
- getPostcode() - Method in class org.alfresco.rest.model.RestCompanyModel
- getPostedAt() - Method in class org.alfresco.rest.model.RestActivityModel
- getPostfix() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getPostPersonId() - Method in class org.alfresco.rest.model.RestActivityModel
- getPrefix() - Method in class org.alfresco.rest.model.builder.NodesBuilder.NodeDetail
- getPrefix() - Method in class org.alfresco.rest.search.FacetFieldQuery
- getPrefix() - Method in class org.alfresco.rest.search.RestRequestFacetFieldModel
- getPrefix() - Method in class org.alfresco.rest.search.RestRequestHighlightModel
- getPreset() - Method in class org.alfresco.rest.model.RestSiteModel
- getPriorityTask() - Method in class org.alfresco.rest.model.RestTaskModel
- getProcess() - Method in class org.alfresco.rest.requests.Processes
-
Retrieves the process identified by processId using GET /processes/{processId}
- getProcessDefinition() - Method in class org.alfresco.rest.requests.ProcessDefinitions
-
Retrieves a process definition using GET call on "/process-definitions/{processDefinitionId}"
- getProcessDefinitionByDeploymentId(String) - Method in class org.alfresco.rest.model.RestProcessDefinitionModelsCollection
- getProcessDefinitionById(String) - Method in class org.alfresco.rest.model.RestProcessDefinitionModelsCollection
- getProcessDefinitionByKey(String) - Method in class org.alfresco.rest.model.RestProcessDefinitionModelsCollection
- getProcessDefinitionId() - Method in class org.alfresco.rest.model.RestProcessModel
- getProcessDefinitionId() - Method in class org.alfresco.rest.model.RestTaskModel
- getProcessDefinitionImage() - Method in class org.alfresco.rest.requests.ProcessDefinitions
-
Retrieves an image that represents a single process definition using GET call on "/process-definitions/{processDefinitionId}/image"
- getProcessDefinitionKey() - Method in class org.alfresco.rest.model.RestProcessModel
- getProcessDefinitionStartFormModel() - Method in class org.alfresco.rest.requests.ProcessDefinitions
-
Retrieves start form type definitions using GET call on "/process-definitions/{processDefinitionId}/start-form-model"
- getProcesses() - Method in class org.alfresco.rest.requests.Processes
-
Retrieve 100 processes (this is the default size when maxItems is not specified) from Alfresco using GET call on "/processes"
- getProcesses() - Method in class org.alfresco.rest.requests.workflowAPI.RestWorkflowAPI
-
Provides get all process
/processesof current user logged in - getProcessItemByName(String) - Method in class org.alfresco.rest.model.RestItemModelsCollection
- getProcessItems() - Method in class org.alfresco.rest.requests.Processes
-
Retrieve all process items from Alfresco using GET /processes/{processId}/items
- getProcessModelByProcessDefId(String) - Method in class org.alfresco.rest.model.RestProcessModelsCollection
- getProcessTasks() - Method in class org.alfresco.rest.requests.Processes
-
Retrieve all tasks of a specified process from Alfresco using GET /processes/{processId}/tasks
- getProcessVariableByName(String) - Method in class org.alfresco.rest.model.RestProcessVariableCollection
- getProcessVariables() - Method in class org.alfresco.rest.requests.Processes
-
Retrieve all process variables from Alfresco using GET /processes/{processId}/variables
- getProperties() - Method in class org.alfresco.rest.core.swagger.SwaggerModel
- getProperties() - Method in class org.alfresco.rest.model.RestNodeAssociationModel
- getProperties() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getProperties() - Method in class org.alfresco.rest.model.RestNodeModel
- getProperties() - Method in class org.alfresco.rest.model.RestPersonModel
- getProperties() - Method in class org.alfresco.rest.model.RestVersionModel
- getProperties() - Method in class org.alfresco.rest.search.SearchNodeModel
- getQualifiedName() - Method in class org.alfresco.rest.model.RestFormModel
- getQuery() - Method in class org.alfresco.rest.model.RestRequestSpellcheckModel
- getQuery() - Method in class org.alfresco.rest.search.FacetQuery
- getQuery() - Method in class org.alfresco.rest.search.RestRequestFilterQueryModel
- getQuery() - Method in class org.alfresco.rest.search.RestRequestQueryModel
- getQuery() - Method in class org.alfresco.rest.search.SearchRequest
- getQuotas() - Method in class org.alfresco.rest.model.RestPersonNetworkModel
- getRandomPersonModel(String...) - Static method in class org.alfresco.rest.model.RestPersonModel
-
Generate a PersonModel with random values for all existing fields excluding fields specified as ingnoredFields
- getRandomProcessVariableModel(String) - Static method in class org.alfresco.rest.model.RestProcessVariableModel
- getRandomTaskVariableModel(String, String) - Static method in class org.alfresco.rest.model.RestVariableModel
- getRanges() - Method in class org.alfresco.rest.search.SearchRequest
- getRatedAt() - Method in class org.alfresco.rest.model.RestRatingModel
- getRatings() - Method in class org.alfresco.rest.requests.Node
-
Retrieve node ratings using GET call on "nodes/{nodeId}/ratings"
- getRecordFromCollabSite() - Method in class org.alfresco.rest.model.RestSyncSetChangesModel
- getRelativePath() - Method in class org.alfresco.rest.model.RestNodeBodyModel
- getRemainingDays() - Method in class org.alfresco.rest.model.RestLicenseInfoModel
- getRemainingTransactions() - Method in class org.alfresco.rest.search.RestShardInfoModel
- getRepoInfo() - Method in class org.alfresco.rest.model.RestSyncServiceConfigModel
- getRepository() - Method in class org.alfresco.rest.model.RestDiscoveryModel
- getRepositoryConnection() - Method in class org.alfresco.rest.model.RestSyncServiceHealthCheckModel
- getRepositoryInfo() - Method in class org.alfresco.rest.requests.discoveryAPI.RestDiscoveryAPI
- getRequest() - Method in class org.alfresco.rest.search.RestResultSetContextModel
- getRequestSample() - Method in class org.alfresco.rest.core.swagger.SwaggerRequest
- getRequired() - Method in class org.alfresco.rest.model.RestFormModel
- getResetReason() - Method in class org.alfresco.rest.model.RestSyncSetResetsModel
- getResets() - Method in class org.alfresco.rest.model.RestSyncSetGetModel
- getResponse() - Method in class org.alfresco.rest.core.RestResponse
[...]
